Cancel a transaction

Cancel a previously submitted transaction.

Cancellation must reference the transaction you want to cancel. It can be the original transaction, a credit note or an adjustment.

Use /cancellation endpoint to cancel a transaction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

ISO 3166-1 alpha-2 uppercase country code the transaction is taking place in.

Validations:

  • Country code must be uppercase ISO 3166-1 alpha-2.
  • Required property
string

ISO 3166-2 uppercase code of the principal country subdivision (province, state, region) the transaction is taking place in.

Validations:

  • Values allowed are (letter case matters): AB, BC, MB, NB, NL, NS, NT, NU, ON, PE, QC, SK, YT
  • Country subdivision code is only supported for Canada.
string

A text note attached to a transaction. Notes are HTML enabled and will be displayed on the visual document.

Validations:

  • Maximum length: 3000
string
required

The external transaction identifier of the original transaction the cancellation is referencing. e.g., MY_ORIGINAL_IDENTIFIER_0001

Validations:

  • Maximum length: 150
  • Either reference_transaction_id or reference_transactions must be provided.
reference_transactions
array of objects
required

The referenced transactions for the cancellation.

Validations:

  • Either reference_transaction_id or reference_transactions must be provided.
reference_transactions*
tax_reason
object

A value describing the reason for the cancellation of the transaction.

Validations:

  • This field is only supported in specific use cases, refer to country-specific integration guides in the Fonoa dashboard.
string
required

RFC3339 datetime string representing the point in time when transaction is executed.

Validations:

  • Required property
  • Must be an RFC3339 format date
string
required

External transaction identifier provided by the customer. e.g., MY_CANCELLATION_IDENTIFIER_0001

Validations:

  • Maximum length: 150
  • Required property
Responses

401

Authentication failed - missing or incorrect subscription key

429

Too many requests were sent for a short period of time. Try again a bit later.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json